/*******************************************************************************
 * HCL Confidential
 * OCO Source Materials
 *
 * @Project: ICXT
 *
 * @Copyright HCL Technologies Limited 2015, 2020
 * @License: The source code for this program is not published or otherwise divested of its trade secrets, irrespective of what has been deposited with the U.S. Copyright Office.
 *******************************************************************************/
/*
 * This script will add the current and total page number to the pdf,
 * if the placeholders {pdf.page.current} or {pdf.page.count} are 
 * added.
 */
(function() {
    var pdfInfo = {};
    var _search = document.location.search;
    if (!_search || _search.lenth <= 0) {
        return;
    }
    var x = _search.substring(1).split('&');
    for (var i in x) {
        var z = x[i].split('=',2);
        pdfInfo[z[0]] = unescape(z[1]);
    }

    function getPdfInfo() {
        var page = pdfInfo.page || 1;
        var pageCount = pdfInfo.topage || 1;
        
        var pageCurrentElem = document.getElementById('pdf_page_current');
        if (pageCurrentElem) {
            pageCurrentElem.textContent = page;
        }
        var pageCountElem = document.getElementById('pdf_page_count');
        if (pageCountElem) {
            pageCountElem.textContent = pageCount;
        }
    }

    window.onload = function() {
        getPdfInfo();
    }
})();

